//
//  Shader.vsh
//  llll
//
//  Created by Bruno Antunes on 17/07/14.
//  Copyright (c) 2014 WingzStudio, Lda. All rights reserved.
//

/*attribute vec3 vPosition;

void main()
{
    gl_Position = vec4(vPosition, 1.0);
}*/

uniform mat4 MVPMatrix;

attribute vec2 a_position;
attribute vec4 a_color;
attribute vec2 a_texCoord;

#ifdef GL_ES
varying mediump vec2 v_texCoord;
varying mediump vec4 v_fragmentColor;
#else
varying vec2 v_texCoord;
varying vec4 v_fragmentColor;
#endif

void main()
{
    gl_Position = MVPMatrix * vec4(a_position,0.0,1.0);
    v_texCoord = a_texCoord;
    v_fragmentColor = a_color;
}
